Token volatility index

GET /token/{id}/volatility-index
GetTokenIdVolatilityIndex

Volatility index time-series for the token.

Parameters

id string PATH required

Token identifier. Accepts internal token_id (integer) or coingecko_id (string, e.g. bitcoin).

Example:bitcoin

hours integer QUERY

Lookback window in hours.

Example:168

granularity string QUERY

Optional bucket size override. Only `1d` is supported for this endpoint.

Allowed values
1d

Example:1d

cURL Example

curl --request GET \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/token/bitcoin/volatility-index' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

200 OK
400 Bad Request ErrorResponse

Media type application/json

volatility
array<object> optional

Token volatility index series.

volatility[].time
string (date-time) optional

UTC timestamp for the data point.

volatility[].value
number (double) optional

Numeric metric value for the timestamp.

{
  "volatility": [
    {
      "time": "2026-01-15T12:00:00Z",
      "value": 0
    }
  ]
}